Subject: bug#45894: bug#44578: Investigating current preview problem

From: Tassilo Horn <[email-masked]>
Date: Fri, 08 Oct 2021 14:52:03 +0200

David Kastrup <[email-masked]> writes:

Hi all,

>> I have encountered a problem involving the latex package preview. If
>> I understand well it is due to "a change in the latex shipout
>> routine" in the last versions. I read the threads on the GNU bug
>> reports 44578 and 45894 about the problem. It appears you are the
>> current maintainer of preview, but unfortunately do not currently
>> have the ressources to take care this problem.
>>
>> I am unable to do it myself, but there were some mention of maybe
>> paying for your expertise. Would you be willing to estimate a cost at
>> which you could take proper care of the problem, or maybe point me to
>> other people with enough knowledge to do it?
>
> Reading reports, analysing and understanding problem: €50
> Reading up on the tools LaTeX now wants instead:      €30
> Devising and implementing a fix                       €30
> Backward compatibility                                €10
> Cleaning up and shepherding through AUCTeX repository €25
> Submitting and shepherding through CTAN               €25
> Dealing with problem reports and feedback             €25
>
> Total: €195
>
> Everybody will tell you that this is a total ripoff (the actual code
> will likely not be more than a dozen lines) and nobody will volunteer
> to do it for that price, judging from experience.

To me the price seems absolutely reasonable (I had expected much more),
so I'd very much suggest Hugo & Tobias simply accept the offer and share
the price.  Feel free to discuss that off-list and contact David when
you came to a conclusion.

Bye,
Tassilo